/* sdl-freetype, a text rendering library for SDL.
 * Copyright (C) 2006 luojinghua <sunmoon1997@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it either under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation
 * (the "LGPL") or, at your option, under the terms of the Mozilla
 * Public License Version 1.1 (the "MPL"). If you do not alter this
 * notice, a recipient may use your version of this file under either
 * the MPL or the LGPL.
 *
 * You should have received a copy of the LGPL along with this library
 * in the file COPYING-LGPL-2.1; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * You should have received a copy of the MPL along with this library
 * in the file COPYING-MPL-1.1
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY
 * OF ANY KIND, either express or implied. See the LGPL or the MPL for
 * the specific language governing rights and limitations.
 *
 * THANKS FOR ALL CAIRO AUTHORS, MOST OF IDEAS AND IMPLEMENT DTAILS ARE
 * STOLEN FROM CAIRO.
 *
 */
#ifndef SDL_FREETYPE_FT_H
#define SDL_FREETYPE_FT_H

#include <fontconfig/fontconfig.h>
#include "sdl-freetype.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
    SDL_FT_WEIGHT_NORMAL,
    SDL_FT_WEIGHT_BOLD
} sdl_ft_weight_t;

typedef enum {
    SDL_FT_SLANT_NORMAL,
    SDL_FT_SLANT_ITALIC,
    SDL_FT_SLANT_OBLIQUE
} sdl_ft_slant_t;

sdl_freetype_font_t *
sdl_ft_create_font_from_pattern (FcPattern * pattern);

sdl_freetype_font_t *
sdl_ft_create_font (const char * family,
                    double size,
                    sdl_ft_weight_t weight,
                    sdl_ft_slant_t slant,
                    double dpi);

#ifdef __cplusplus
}
#endif

#endif
